<bugID>314518<Summary>[BeOS] Static builds Broken due nsSound implementation for Widget:BeOS</Summary><Description>User-Agent:       Mozilla/5.0 (BeOS; U; BeOS BePC; en-US; rv:1.9a1) Gecko/20051031 Firefox/1.6a1
Build Identifier: Mozilla/5.0 (BeOS; U; BeOS BePC; en-US; rv:1.9a1) Gecko/20051031 Firefox/1.6a1

fix of bug 313326 broke BeOS build during linking.  Verified under both Zeta 1.1 and BeOS R5.0.3.  Fix is link to -lgame in mozilla/browser/app/Makefile.in.  See patch. 

Reproducible: Always

Steps to Reproduce:
1. start with a clean tree
2. make firefox
3. wait until breakage

Actual Results:  
build breaks.

Expected Results:  
build should complete.</Description></bugID>